Bug 992139 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'create' accesses on the directory .macromedia.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'create' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2ab478b1aadd4462cce46de381a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 23:23 EDT by Rahul Sundaram
Modified: 2013-08-21 20:52 EDT (History)
29 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2013-08-04 23:23:48 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'create' accesses on the directory .macromedia.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed create access on the .macromedia directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .macromedia [ dir ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-22.0-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   1447
First Seen                    2013-08-03 16:10:09 EDT
Last Seen                     2013-08-04 23:17:31 EDT
Local ID                      8abb4399-5b86-481d-ade0-cfc65fb8c59d

Raw Audit Messages
type=AVC msg=audit(1375672651.856:955): avc:  denied  { create } for  pid=1766 comm="plugin-containe" name=".macromedia" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1375672651.856:955): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7f7eebcec5c8 a1=1c0 a2=ffffffffffffff40 a3=7f7ed9d1b040 items=0 ppid=1650 pid=1766 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,user_home_dir_t,dir,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport

Potential duplicate: bug 799313
Comment 1 Daniel Walsh 2013-08-05 13:14:54 EDT
cd0d650e3e9ff48f18729d79640db6c9c08a8d54 fixes this in git.
Comment 2 Clayton Fyffe 2013-08-06 10:38:04 EDT
Description of problem:
Use Adobe Flash in Firefox with seLinux in enforcing mode

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 3 Cranium Cerebrale 2013-08-06 18:49:06 EDT
Description of problem:
???

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 4 Miroslav Grepl 2013-08-08 08:02:47 EDT
Back ported.
Comment 5 Václav Mocek 2013-08-10 11:04:38 EDT
And it is even worse - after this alert, some Dan is trashing my message log.

Given the context, the correlation between the counts of lines, the culprit (scapegoat) is clear: SELinux Dan! ;-). 



Aug 10 09:20:44 amulet setroubleshoot: SELinux is preventing /usr/lib64/xulrunner/plugin-container from create access on the directory .macromedia. For complete SELinux messages. run sealert -l 17ee04e9-ed32-4313-a25b-53482cadd79d
Aug 10 09:20:44 amulet setroubleshoot: SELinux is preventing /usr/lib64/xulrunner/plugin-container from create access on the directory .macromedia. For complete SELinux messages. run sealert -l 17ee04e9-ed32-4313-a25b-53482cadd79d
Aug 10 09:20:44 amulet setroubleshoot: SELinux is preventing /usr/lib64/xulrunner/plugin-container from create access on the directory .macromedia. For complete SELinux messages. run sealert -l 17ee04e9-ed32-4313-a25b-53482cadd79d
Aug 10 09:20:45 amulet setroubleshoot: SELinux is preventing /usr/lib64/xulrunner/plugin-container from create access on the directory .macromedia. For complete SELinux messages. run sealert -l 17ee04e9-ed32-4313-a25b-53482cadd79d
Aug 10 09:20:45 amulet setroubleshoot: SELinux is preventing /usr/lib64/xulrunner/plugin-container from create access on the directory .macromedia. For complete SELinux messages. run sealert -l 17ee04e9-ed32-4313-a25b-53482cadd79d
Aug 10 09:20:45 amulet dbus-daemon[496]: Dan
Aug 10 09:20:45 amulet dbus-daemon[496]: Dan
Aug 10 09:20:45 amulet dbus-daemon[496]: Dan
Aug 10 09:20:45 amulet dbus-daemon[496]: Dan
Aug 10 09:20:45 amulet dbus-daemon[496]: Dan
Comment 6 Guilherme Bruno 2013-08-10 12:58:32 EDT
Description of problem:
when I use the mozilla firefox browser and is necessary the flash plugin this error is related. ".macromedia"

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.i686
type:           libreport
Comment 7 Ian Weller 2013-08-10 14:14:49 EDT
Description of problem:
Initialization of Flash plugin in Firefox caused this SELinux alert. The plugin container should probably be able to write to an ".adobe" directory to save settings and the like.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 8 Ash Hughes 2013-08-10 17:19:44 EDT
Description of problem:
Installing flash plugin in firefox

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 9 Asmit De 2013-08-13 22:20:03 EDT
Description of problem:
Started Firefox.
Opened Youtube.
Closed Firefox.

This resulted in the SELinux Alert

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 10 gary taylor 2013-08-14 11:20:54 EDT
Description of problem:
I am getting error message for quite sometime, not sure why.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 11 Daniel Walsh 2013-08-14 11:43:16 EDT
Run restorecon -R -v ~/

selinux-policy-3.12.1-70.fc19.noarch

Has the fix for this.
Comment 12 gary taylor 2013-08-14 12:43:41 EDT
Description of problem:
I am not sure why I am getting this error very often.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 13 HotMusicFan 2013-08-16 16:22:23 EDT
Description of problem:
The problem occured immediately when I open Firefox everytime. SELinux gives me a notification about the denial of access and that's all.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.x86_64
type:           libreport
Comment 14 Ash Hughes 2013-08-18 11:22:13 EDT
Description of problem:
flash in firefox

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.x86_64
type:           libreport
Comment 15 Devon Janitz 2013-08-18 22:53:15 EDT
Description of problem:
Used Adobe Flash Player.

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.7-200.fc19.x86_64
type:           libreport
Comment 16 Fedora Update System 2013-08-20 04:25:46 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 17 murenti 2013-08-20 18:09:21 EDT
Description of problem:
after installing adobe flash player, it shows constantly, even if I delete the selinx report

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.x86_64
type:           libreport
Comment 18 Fedora Update System 2013-08-20 20:14:56 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-08-21 20:52:43 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.